<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.svs.SVSConsumer']}</h1>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.svs.SelectSystems']}</ui:define>
                <s:div id="divSelectSUT">
                    <a4j:region>
                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="selectTypeRequest"/>
                            <ui:define name="label">#{messages['gazelle.simulator.Option']}</ui:define>
                            <h:selectOneRadio id="selectTypeRequest" value="#{consumerManager.typeRequest}">
                                <f:selectItem itemValue="HTTP" itemLabel="#{messages['gazelle.svs.HTTPBinding']}"/>
                                <f:selectItem itemValue="SOAP" itemLabel="#{messages['gazelle.svs.SOAPBinding']}"/>
                                <a4j:ajax event="change" for="selectTypeRequest" render="divSelectSUT"
                                          listener="#{consumerManager.onChangeTypeRequest()}"/>
                            </h:selectOneRadio>
                        </ui:decorate>

                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="selectSutList"/>
                            <ui:define name="label">#{messages['gazelle.svs.SystemUnderTest']}</ui:define>
                            <h:selectOneMenu value="#{consumerManager.selectedSUT}" id="selectSutList"
                                             styleClass="form-control gzl-select-text">
                                <s:selectItems value="#{consumerManager.getListSutType()}" var="sut"
                                               label="#{sut.name}"
                                               noSelectionLabel="#{messages['gazelle.svs.PleaseSelect']}"/>
                                <a4j:ajax event="change" for="selectSutList" render="configSelectionGrid"/>
                            </h:selectOneMenu>
                        </ui:decorate>
                    </a4j:region>
                    <br/>
                    <s:div styleClass="row" id="configSelectionGrid">
                        <div class="col-md-4">
                            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                                <ui:define name="panel_title">#{messages['gazelle.svs.SVSSimulator']}</ui:define>
                                <s:decorate template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.Name']}</ui:define>
                                    <h:outputText value="#{messages['gazelle.svs.SVSConsumer']}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.SendingApplication']}</ui:define>
                                    <h:outputText value="#{messages['gazelle.svs.SVSSimulator_2']}"/>
                                </s:decorate>
                            </ui:decorate>
                        </div>
                        <div class="col-md-4">
                            <s:div id="divSchemaImage">
                                <h:graphicImage value="/img/consumer.png"/>
                            </s:div>
                        </div>
                        <s:div id="selectedSutDiv" styleClass="col-md-4">
                            <s:div rendered="#{consumerManager.selectedSUT != null}">
                                <s:decorate template="/layout/panels/_panel_title.xhtml">
                                    <ui:define name="panel_title">#{consumerManager.selectedSUT.name}</ui:define>
                                    <s:decorate template="/layout/display/_display.xhtml">
                                        <ui:define name="label">#{messages['gazelle.svs.EndPoint']}</ui:define>
                                        <h:outputLink styleClass="gzl-break-long-word"
                                                      value="#{consumerManager.selectedSUT.url}">
                                            <h:outputText value="#{consumerManager.selectedSUT.url}"/>
                                        </h:outputLink>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_display.xhtml"
                                                rendered="#{not empty consumerManager.selectedSUT.owner}">
                                        <ui:define name="label">#{messages['users.Username']}</ui:define>
                                        <h:outputText value="#{consumerManager.selectedSUT.owner}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_display.xhtml">
                                        <ui:define name="label">#{messages['gazelle.svs.BindingType']}</ui:define>
                                        <h:outputText value="#{consumerManager.selectedSUT.bindingType}"/>
                                    </s:decorate>
                                </s:decorate>
                            </s:div>
                        </s:div>
                    </s:div>
                    <s:div id="testDiv">
                        <s:div id="transactionDiv">
                            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                                <ui:define name="panel_title">#{messages['gazelle.svs.CreateRequest']}
                                    (#{consumerManager.typeRequest})
                                </ui:define>
                                <a4j:region>
                                    <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                        <ui:param name="id" value="selectITITypeRequest"/>
                                        <ui:define name="label">#{messages['gazelle.svs.Type']}</ui:define>
                                        <h:selectOneRadio id="selectITITypeRequest"
                                                          value="#{consumerManager.selectedTransaction}">
                                            <s:selectItems value="#{consumerManager.svsTransactions}" var="trans"
                                                           label="#{trans.name} (#{trans.keyword})"/>
                                            <a4j:ajax event="change" render="testDiv, divSchemaImage"/>
                                        </h:selectOneRadio>
                                    </ui:decorate>

                                </a4j:region>
                                <s:div styleClass="form-horizontal"
                                       rendered="#{consumerManager.selectedTransaction.keyword.equals('ITI-48')}">

                                    <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                        <ui:param name="id" value="iti48id"/>
                                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}
                                        </ui:define>
                                        <h:inputText id="iti48id" value="#{consumerManager.request48.valueSet.id}"
                                                     styleClass="form-control" required="true"
                                                     requiredMessage=" OID can not be blank"/>
                                    </s:decorate>

                                    <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                        <ui:param name="id" value="iti48version"/>
                                        <ui:define name="label">#{messages['gazelle.simulator.version']}</ui:define>
                                        <h:inputText id="iti48version"
                                                     value="#{consumerManager.request48.valueSet.version}"
                                                     styleClass="form-control"/>
                                    </s:decorate>

                                    <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                        <ui:param name="id" value="iti48version"/>
                                        <ui:define name="label">#{messages['gazelle.svs.Lang']}</ui:define>
                                        <h:inputText id="iti48lang" value="#{consumerManager.request48.valueSet.lang}"
                                                     styleClass="form-control"/>
                                    </s:decorate>

                                </s:div>
                                <s:div rendered="#{consumerManager.selectedTransaction.keyword.equals('ITI-60')}">

                                    <div class="row">
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="iti60oid"/>
                                                <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}
                                                </ui:define>
                                                <h:inputText id="iti60oid" value="#{consumerManager.request60.ID}"
                                                             styleClass="form-control"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="iti60displayName"/>
                                                <ui:define name="label">#{messages['gazelle.svs.DisplayNameContains']}
                                                </ui:define>
                                                <h:inputText id="iti60displayName"
                                                             value="#{consumerManager.request60.displayNameContains}"
                                                             styleClass="form-control"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="iti60sourceContains"/>
                                                <ui:define name="label">#{messages['gazelle.svs.SourceContains']}
                                                </ui:define>
                                                <h:inputText id="iti60sourceContains"
                                                             value="#{consumerManager.request60.sourceContains}"
                                                             styleClass="form-control"/>
                                            </ui:decorate>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="iti60purposeContains"/>
                                                <ui:define name="label">#{messages['gazelle.svs.PurposeContains']}
                                                </ui:define>
                                                <h:inputText id="iti60purposeContains"
                                                             value="#{consumerManager.request60.purposeContains}"
                                                             styleClass="form-control"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="iti60definitionContains"/>
                                                <ui:define name="label">#{messages['gazelle.svs.DefinitionContains']}
                                                </ui:define>
                                                <h:inputText id="iti60definitionContains"
                                                             value="#{consumerManager.request60.definitionContains}"
                                                             styleClass="form-control"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="iti60groupContains"/>
                                                <ui:define name="label">#{messages['gazelle.svs.GroupContains']}
                                                </ui:define>
                                                <h:inputText id="iti60groupContains"
                                                             value="#{consumerManager.request60.groupContains}"
                                                             styleClass="form-control"/>
                                            </ui:decorate>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="iti60GroupOid"/>
                                                <ui:define name="label">#{messages['gazelle.svs.GroupOID']}</ui:define>
                                                <h:inputText id="iti60GroupOid"
                                                             value="#{consumerManager.request60.groupOID}"
                                                             styleClass="form-control"/>
                                            </ui:decorate>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="effectiveDateBefore"/>
                                                <ui:define name="label">#{messages['gazelle.svs.EffectiveDateBefore']}
                                                </ui:define>
                                                <rich:calendar id="effectiveDateBefore"
                                                               value="#{consumerManager.request60.effectiveDateBefore}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy"
                                                               showApplyButton="false" style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="effectiveDateAfter"/>
                                                <ui:define name="label">#{messages['gazelle.svs.EffectiveDateAfter']}
                                                </ui:define>
                                                <rich:calendar id="effectiveDateAfter"
                                                               value="#{consumerManager.request60.effectiveDateAfter}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy"
                                                               showApplyButton="false" style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">

                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="expirationDateBefore"/>
                                                <ui:define name="label">#{messages['gazelle.svs.ExpirationDateBefore']}
                                                </ui:define>
                                                <rich:calendar id="expirationDateBefore"
                                                               value="#{consumerManager.request60.expirationDateBefore}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy"
                                                               showApplyButton="false" style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">


                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="expirationDateAfter"/>
                                                <ui:define name="label">#{messages['gazelle.svs.ExpirationDateAfter']}
                                                </ui:define>
                                                <rich:calendar id="expirationDateAfter"
                                                               value="#{consumerManager.request60.expirationDateAfter}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy"
                                                               showApplyButton="false" style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="creationDateBefore"/>
                                                <ui:define name="label">#{messages['gazelle.svs.CreationDateBefore']}
                                                </ui:define>
                                                <rich:calendar id="creationDateBefore"
                                                               value="#{consumerManager.request60.creationDateBefore}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy"
                                                               showApplyButton="false" style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="creationDateAfter"/>
                                                <ui:define name="label">#{messages['gazelle.svs.CreationDateAfter']}
                                                </ui:define>
                                                <rich:calendar id="creationDateAfter"
                                                               value="#{consumerManager.request60.creationDateAfter}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy" showApplyButton="false"
                                                               style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">

                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="revisionDateBefore"/>
                                                <ui:define name="label">#{messages['gazelle.svs.RevisionDateBefore']}
                                                </ui:define>
                                                <rich:calendar id="revisionDateBefore"
                                                               value="#{consumerManager.request60.revisionDateBefore}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy"
                                                               showApplyButton="false" style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                        <div class="col-md-4">
                                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                                <ui:param name="id" value="revisionDateAfter"/>
                                                <ui:define name="label">#{messages['gazelle.svs.RevisionDateAfter']}
                                                </ui:define>
                                                <rich:calendar id="revisionDateAfter"
                                                               value="#{consumerManager.request60.revisionDateAfter}"
                                                               locale="#{localeSelector.localeString}"
                                                               datePattern="dd/MM/yyyy" showApplyButton="false"
                                                               style="width:200px"/>
                                            </ui:decorate>
                                        </div>
                                    </div>
                                </s:div>
                                <ui:define name="panel_footer">
                                    <a4j:commandButton value="#{messages['gazelle.svs.SendRequest']}"
                                                       styleClass="gzl-btn-blue"
                                                       action="#{consumerManager.send()}"
                                                       rendered="#{consumerManager.transactionsList == null}"
                                                       render="testDiv"/>
                                </ui:define>

                            </ui:decorate>
                        </s:div>

                        <s:div id="responseContentDiv" rendered="#{consumerManager.transactionsList != null and not empty (consumerManager.transactionsList.get(0).getResponse().getContent())}">
                            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                                <ui:define name="panel_title">#{messages['net.ihe.gazelle.svssimulator.ResponseContent']}</ui:define>
                                <a4j:repeat value="#{consumerManager.getTransactionsList()}" var="transactionInstance">
                                    <h:panelGroup>
                                        <h:outputText
                                                value="#{consumerManager.displayFormattedHTML(transactionInstance)}"
                                                escape="false"/>
                                    </h:panelGroup>
                                </a4j:repeat>
                                <ui:define name="panel_footer">
                                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.ImportResultIntoRepository_2']}"
                                                       styleClass="gzl-btn-blue"
                                                       action="#{consumerManager.redirectToImportResultIntoRepository(consumerManager.transactionsList.get(0))}"
                                                       render="testDiv"
                                                       rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin() and not empty consumerManager.transactionsList.get(0).getResponse().getContent()}"/>
                                </ui:define>
                            </ui:decorate>
                        </s:div>


                        <s:div id="transactionsSendDiv" rendered="#{consumerManager.transactionsList != null}">
                            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                                <ui:define name="panel_title">#{messages['gazelle.svs.TestReport']}</ui:define>
                                <rich:dataTable value="#{consumerManager.getTransactionsList()}" var="tr"
                                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                id="tableTransactionsSend" render="ds">
                                    <g:column>
                                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id_2']}
                                        </ui:define>
                                        <h:outputLink value="#{transactionInstanceDisplay.permanentLink(tr)}">
                                            <h:outputText value="#{tr.id}"/>
                                        </h:outputLink>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['gazelle.svs.Timestamp']}</ui:define>
                                        <h:outputText value="#{tr.timestamp}"/>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['gazelle.svs.Transaction']}</ui:define>
                                        <h:outputText value="#{tr.transaction.keyword}"/>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['gazelle.svs.Initiator']}</ui:define>
                                        <h:outputText value="#{tr.request.issuer}"/>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['gazelle.svs.Responder']}</ui:define>
                                        <h:outputText value="#{tr.response.issuer}"/>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['gazelle.svs.Request']}</ui:define>

                                        <div class="gzl-never-wrap">
                                            <s:span styleClass="gzl-icon-checked "
                                                    rendered="#{tr.request.validationStatus != null and tr.request.validationStatus.equals('PASSED')}"
                                                    title="PASSED"/>
                                            <s:span styleClass="gzl-icon-times " title="FAILED"
                                                    rendered="#{tr.request.validationStatus != null and tr.request.validationStatus.equals('FAILED')}"/>
                                            <h:panelGroup rendered="#{!tr.request.type.contains(&quot;HTTP&quot;)}">
                                                <a4j:commandLink
                                                        actionListener="#{transactionInstanceDisplay.validateRequest(tr)}"
                                                        oncomplete="jq162('#validationSummaryPanel').modal('show')"
                                                        render="validationSummaryPanelContent,transactionsSendDiv"
                                                        title="#{messages['net.ihe.gazelle.simulators.ClickToValidate']}"
                                                        rendered="#{tr.request.validationStatus == null or tr.request.validationStatus.equals('ABORTED') and !tr.request.type.contains(&quot;HTTP&quot;)}">
                                                    <s:span styleClass="fa fa-play gzl-text-blue"/>
                                                </a4j:commandLink>
                                            </h:panelGroup>
                                            <h:outputText value="#{tr.request.type}"/>
                                        </div>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['gazelle.svs.Response']}</ui:define>
                                        <div class="gzl-never-wrap">
                                            <s:span styleClass="gzl-icon-checked"
                                                    rendered="#{tr.response.validationStatus != null and tr.response.validationStatus.equals('PASSED')}"/>
                                            <s:span styleClass="gzl-icon-times "
                                                    rendered="#{tr.response.validationStatus != null and tr.response.validationStatus.equals('FAILED')}"/>
                                            <a4j:commandLink
                                                    actionListener="#{transactionInstanceDisplay.validateResponse(tr)}"
                                                    oncomplete="jq162('#validationSummaryPanel').modal('show')"
                                                    render="validationSummaryPanelContent,transactionsSendDiv"
                                                    title="#{messages['net.ihe.gazelle.simulators.ClickToValidate']}"
                                                    rendered="#{tr.response.validationStatus == null or tr.response.validationStatus.equals('ABORTED')}">
                                                <s:span styleClass="fa fa-play gzl-text-blue"/>
                                            </a4j:commandLink>
                                            <h:outputText value="#{tr.response.type}"/>
                                        </div>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                                        <div class="gzl-never-wrap">
                                            <h:outputLink value="#{transactionInstanceDisplay.permanentLink(tr)}"
                                                          title="#{messages['users.Details']}">
                                                <s:span styleClass="gzl-icon-search "/>
                                            </h:outputLink>
                                            <h:panelGroup rendered="#{!tr.request.type.contains(&quot;HTTP&quot;)}">
                                                <a4j:commandLink
                                                        actionListener="#{transactionInstanceDisplay.validate(tr)}"
                                                        oncomplete="jq162('#validationSummaryPanel').modal('show')"
                                                        render="validationSummaryPanelContent,transactionsSendDiv"
                                                        title="#{messages['net.ihe.gazelle.simulators.ClickToValidate']}">
                                                    <s:span styleClass="fa fa-play gzl-text-blue"/>
                                                </a4j:commandLink>
                                            </h:panelGroup>
                                        </div>
                                    </g:column>
                                    <f:facet name="footer">
                                        <ui:include src="/util/datatableFooter.xhtml">
                                            <ui:param name="dataScrollerId" value="ds"/>
                                            <ui:param name="dataTableId" value="tableTransactionsSend"/>
                                        </ui:include>
                                    </f:facet>
                                </rich:dataTable>
                                <ui:define name="panel_footer">
                                    <a4j:commandButton value="#{messages['gazelle.svs.PerformAnotherTest']}"
                                                       styleClass="gzl-btn-blue"
                                                       action="#{consumerManager.setTransactionsList(null)}"
                                                       render="testDiv"/>
                                </ui:define>
                            </ui:decorate>
                        </s:div>
                    </s:div>
                    <ui:include src="/messages/validationSummaryPanel.xhtml">
                        <ui:param name="managedBean" value="#{transactionInstanceDisplay}"/>
                    </ui:include>
                </s:div>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>